#!/usr/bin/python3
# -*- coding: utf-8 -*-

import sys
from PyQt5.QtWidgets import (QWidget, QHBoxLayout, QFrame,
    QSplitter, QStyleFactory, QApplication)
from PyQt5.QtCore import Qt
from PyQt5.QtWidgets import QMainWindow, QTextEdit, QAction, QApplication, QListView, QListWidget, QTableWidget , QTableView
from PyQt5.QtGui import QIcon
from PyQt5 import QtSql
import dm

class MainWin(QMainWindow):

    def __init__(self):
        super().__init__()

        self.initUI()


    def initUI(self):

        textEdit = QTextEdit()
        splitter = WorkArea()
        self.setCentralWidget(splitter)
        #self.setCentralWidget(textEdit)

        exitAction = QAction(QIcon('img/close.gif'), 'Выход', self)
        exitAction.setShortcut('Ctrl+Q')
        exitAction.setStatusTip('Выход')
        exitAction.triggered.connect(self.close)

        self.statusBar()

        menubar = self.menuBar()
        fileMenu = menubar.addMenu('&Файл')
        fileMenu.addAction(exitAction)

        editMenu = menubar.addMenu('&Редактирование')
        helpMenu = menubar.addMenu('&Помощь')

        toolbar = self.addToolBar('Выход')
        toolbar.addAction(exitAction)

        self.setGeometry(300, 300, 850, 650)
        self.setWindowTitle('Ацкый быдлокод')
        self.show()


class WorkArea(QWidget):

    def __init__(self):
        super().__init__()

        self.initUI()


    def initUI(self):

        hbox = QHBoxLayout(self)
        # список таблиц
        listTablesWidget = QListWidget()
        listTablesWidget.setFrameShape(QFrame.StyledPanel)
        # таблица для вывода данных
        tablesDataWidget = QTableView()
        tablesDataWidget.setFrameShape(QFrame.StyledPanel)

        splitter1 = QSplitter(Qt.Horizontal)
        splitter1.addWidget(listTablesWidget)
        splitter1.addWidget(tablesDataWidget)

        splitter2 = QSplitter(Qt.Vertical)
        splitter2.addWidget(splitter1)

        hbox.addWidget(splitter2)

        self.setLayout(hbox)

        # выводим список таблиц в левом поле
        for i in dm.initDBstructure():
            listTablesWidget.addItem(i)

        # заполняем правый список данными из выбранной таблицы
        def addList(tbl_name):
            # модель для таблицы
            #model = QtSql.QSqlQueryModel(parent=None)
            #qwery = "SELECT * FROM " + tbl_name
            #model.setQuery(qwery)
            #tablesDataWidget.setModel(model)

            #tablesDataWidget.setWindowTitle("ddd ddd")
            #tablesDataWidget.show()
            for j in dm.selectData(tbl_name):
                print(j)
                #tablesDataWidget.addItem(j)

        # обработка нажатия мышой на списке
        #listTablesWidget.itemClicked.connect(lambda: dm.selectData(listTablesWidget.currentItem))
        listTablesWidget.itemClicked.connect(lambda: addList(listTablesWidget.model().data(listTablesWidget.currentIndex())))


    def onChanged(self, text):

        self.lbl.setText(text)
        self.lbl.adjustSize()



if __name__ == '__main__':

    app = QApplication(sys.argv)
    ex = MainWin()
    sys.exit(app.exec_())

